<div class="container user-info">
    <h4> <a href="#" editable-text="user.firstname" e-label="Firstname" onbeforesave="updateUser($data)">{{
        user.firstname || 'empty' }}</a>
        <a href="#" editable-text="user.lastname" e-label="Lastname" onbeforesave="updateUser($data)">{{
            user.lastname || 'empty' }}</a>
    </h4>
    <div class="col-sm-3">

        <img ng-src="{{user.avatar}}">
    </div>
    <div class="col-sm-9 user-page-info">
        <h3>Information: </h3>
        <div>Gender:

            <a href="#" editable-radiolist="user.gender" e-ng-options="s.value as s.text for s in ::genders track by s.value">
                {{ showGender() }}
            </a>

        </div>
        <div>
            <a href="#" editable-textarea="user.description" e-rows="7" e-cols="40">
                <pre>{{ user.description || 'no description' }}</pre>
            </a>
        </div>

    </div>

</div>

